Loading...
Searching...
No Matches
mbedtls_sha3_context Struct Reference

The SHA-3 context structure. More...

`#include <sha3.h>`

## Data Fields

uint64_t | private_state [25]
uint32_t | private_index
uint16_t | private_olen
uint16_t | private_max_block_size

## Detailed Description

The SHA-3 context structure.

                The structure is used SHA-3 checksum calculations.

Definition at line 50 of file sha3.h.

## Field Documentation

## private_index

uint32_t mbedtls_sha3_context::private_index

Definition at line 52 of file sha3.h.

## private_max_block_size

uint16_t mbedtls_sha3_context::private_max_block_size

Definition at line 54 of file sha3.h.

## private_olen

uint16_t mbedtls_sha3_context::private_olen

Definition at line 53 of file sha3.h.

## private_state

uint64_t mbedtls_sha3_context::private_state[25]

Definition at line 51 of file sha3.h.

The documentation for this struct was generated from the following file:

- sha3.h